#ifndef PDTP_ALLOC_H
#define PDTP_ALLOC_H
/** 
    @file alloc.h 

    @brief Function pointers to the allocator and deallocator functions used by libpdtp.  
    These can be changed if necessary using the pdalloc_set() and pdfree_set() functions. 
*/
/** allocation callback function */
extern void *(*pdtp__alloc)(int size);
/** free callback function */
extern void (*pdtp__free)(void *ptr);
/** out of memory handler callback */
extern void (*pdtp__oom_handler(const char *allocator_name));

/** Macro for allocating an internal structure */
#define NEW(type)               (type##_t)pdtp__alloc(sizeof(struct type))

/* Convenience functions built around the allocator */
/** pdtp version of strdup */
char *pdtp__strdup(const char *str);

#endif /* ALLOC_H */
