#ifndef CONNECTION_H
#define CONNECTION_H

#include "machdep.h"
#include "pdtp.h"
#include "socketops.h"
#include "threadops.h"
#include "transaction.h"
/**
 * @file connection.h
 * @brief pdtp_connection
 */
 
/** The pdtp_connection structure does not maintain an invariant internally,
   or rather it maintains an invariant in the form of several other internal
   objects.  Consequently, its structure can be exposed directly within the
   library itself. 
*/

struct pdtp_connection {
	int sock;
	pdtp_addr_t addr;

	pdtp_mutex_t socket_lock;
	pdtp_transaction_manager_t txnmgr;
};
	
#endif /* CONNECTION_H */
