#ifndef ERRMSG_H
#define ERRMSG_H

/**
 * @file errmsg.h 
 * @brief English error messages 
 *
 */

/** Error message for unimplemented redirection support */
#define ERROR_RDR_UNIMPL	"Server attempted a redirect, but redirection is currently unimplemented"

/** Error message for handshake failures */
#define ERROR_HANDSHAKE		"Handshaking with server failed"

/** Hostname resolution failure.  %s indicates address */
#define ERROR_RESOLVE		"Couldn't resolve address: %s"

/** Error connecting to a given host.  %s indicates address */
#define ERROR_CONNECT		"Connection refused"

/** Timeout while performing read */
#define ERROR_READ_TIMEOUT	"Read timeout"

/** Error listing a directory */
#define ERROR_DIRLIST		"Error listing directory"

/** Error initializing download */
#define ERROR_DOWNLOAD_INIT	"Error initializing download"

#endif /* ERRMSG_H */
