#ifndef FILEOPS_H
#define FILEOPS_H

/** 
 * @file fileops.h 
 * @brief Portable wrappers around file operations
 */
#include "machdep.h"
#include "pdtp.h"

/** This function stores the current file length in the given value pointer */
int pdtp__file_length(pdtp_file_t file, pdtp_filelen_t *length);

/** This function truncates the file to the specified length */
int pdtp__file_truncate(pdtp_file_t file, pdtp_filelen_t length);

/** This function seeks to the given offset within a file */
int pdtp__file_seek(pdtp_file_t file, pdtp_filelen_t offset);

/** This function reads the given number of bytes (no 64-bit support) */
int pdtp__file_read(pdtp_file_t file, void *buf, unsigned int nbytes);

/** This function writes the given number of bytes (no 64-bit support) */
int pdtp__file_write(pdtp_file_t file, void *buf, unsigned int nbytes);
	
#endif
