#ifndef LISTENER_H
#define LISTENER_H

/**
 * @file listener.h
 * @brief Listener socket control functions
 */
#include "machdep.h"

#include "multiplexer.h"

/** listener handle */
typedef struct pdtp_listener *pdtp_listener_t;


pdtp_notifier_t pdtp__listener_notifier_create(uint32_t addr, uint16_t port, uint32_t handle);
void pdtp__listener_notifier_destroy(pdtp_notifier_t);
	
void pdtp__multiplexer_add_ipv4_listener(pdtp_multiplexer_t, pdtp_notifier_t, int (*function)(pdtp_multiplexer_t, int fd, uint16_t opcode, uint32_t addr, uint16_t port, uint32_t handle, uint32_t piece_index, void *arg), void *arg);
void *pdtp__multiplexer_remove_listener(pdtp_multiplexer_t, pdtp_notifier_t);

#endif /* LISTENER_H */
