#!/bin/sh

case `uname` in
Darwin)
	BUILDLIB=gcc
	BUILDLIBFLAGS="-dynamiclib -lpthread"
;;
Linux)
	BUILDLIB=gcc
	BUILDLIBFLAGS="-lpthread -shared"
;;
FreeBSD|OpenBSD|NetBSD)
	BUILDLIB=gcc
	BUILDLIBFLAGS="-pthread -shared"
;;	
SunOS)
	BUILDLIB=ld
	BUILDLIBFLAGS="-lc -lsocket -lnsl -lpthread"
;;
*)
	BUILDLIB=cc
	BUILDLIBFLAGS=
;;	
esac	

if [ ! -x `which $BUILDLIB` ]; then
	printf "error: Couldn't find '$BUILDLIB'"
	exit 1
fi

# Append extra linker arguments generated by ./configure
BUILDLIBFLAGS="$BUILDLIBFLAGS $@"

printf "using: $BUILDLIB $BUILDLIBFLAGS\n"

( printf "#!/bin/sh\n"; \
  printf "exec $BUILDLIB $BUILDLIBFLAGS \${1+\"\$@\"}\n" \
) > buildlib

chmod +x buildlib
exit 0
