#!/bin/sh

case `uname` in
Darwin|Linux)
	LD=gcc
	LDFLAGS="-lpthread"
;;
FreeBSD|OpenBSD|NetBSD)
	LD=gcc
	LDFLAGS="-pthread"
;;	
SunOS)
	# Try 'cc' first, then fall back on 'gcc'
	if [ -x `which cc` ]; then
		LD=cc
	else 
		LD=gcc
	fi

	LDFLAGS="-lsocket -lnsl -lpthread"
;;
*)
	LD=cc
	LDFLAGS=
;;	
esac	

if [ ! -x `which $LD` ]; then
	printf "error: Couldn't find '$LD'"
	exit 1
fi

# Append extra linker arguments generated by ./configure
LDFLAGS="$LDFLAGS $@"

printf "using: $LD $LDFLAGS\n"

( printf "#!/bin/sh\n"; \
  printf "exec $LD $LDFLAGS \${1+\"\$@\"}\n" \
) > link

chmod +x link
exit 0
