#ifndef NOTIFIER_H
#define NOTIFIER_H

#include "machdep.h"

/**
 * @file  notifier.h 
 * @brief Portable, multiplexable interthread messaging mechanism
 */
typedef struct pdtp_notifier_pool *pdtp_notifier_pool_t;
typedef struct pdtp_notifier *pdtp_notifier_t;

/* Functions for managing notifier pools (each connection will have one) */
pdtp_notifier_pool_t pdtp__notifier_pool_create(void);
void pdtp__notifier_pool_destroy(pdtp_notifier_pool_t pool);

/* Functions for retrieving a notifier from a pool */
pdtp_notifier_t pdtp__notifier_get(pdtp_notifier_pool_t pool);
void pdtp__notifier_return(pdtp_notifier_pool_t pool, pdtp_notifier_t notifier);

/* Messaging functions */
void pdtp__notifier_send_message(pdtp_notifier_t notifier, void *message);
void *pdtp__notifier_recv_message(pdtp_notifier_t notifier);

/** Multiplex object accessor methods */
#ifdef WIN32
WSAEVENT pdtp__notifier_multiplex_object(pdtp_notifier_t notifier);
#else
int pdtp__notifier_multiplex_object(pdtp_notifier_t notifier);
#endif /* WIN32 */
	
#endif /* NOTIFIER_H */
