#ifndef PIECELIST_H
#define PIECELIST_H

/**
 * @file piecelist.h
 * @brief Piece list generation and management code
 */

#include <stdio.h>

#include "machdep.h"
#include "pdtp.h"
#include "transaction.h"

typedef struct pdtp_piecelist *pdtp_piecelist_t;

pdtp_piecelist_t pdtp__piecelist_create(pdtp_file_t file, pdtp_filelen_t length, uint32_t piece_length, uint8_t *hashes);
void pdtp__piecelist_destroy(pdtp_piecelist_t);

void pdtp__piecelist_add_to_transaction(pdtp_transaction_out_t, pdtp_piecelist_t);

#endif /* PIECELIST_H */
