#ifndef SOCKETS_H
#define SOCKETS_H

/**
 * @file sockets.h 
 * @brief socket functions/includes for portability
 */

#include "machdep.h"

#ifndef HAVE_SOCKLEN_T
typedef int socklen_t;
#endif /* HAVE_SOCKLEN_T */

#ifndef WIN32

/* POSIX-specific includes */
#include <sys/time.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>

#else

/** ssize_t definition for Windows */
typedef int ssize_t;

#endif /* WIN32 */

#endif /* SOCKETS_H */
